Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class ValueOutOfBoundsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.ValueOutOfBoundsException

All Implemented Interfaces
  Serializable

    public class ValueOutOfBoundsException

extends RepositoryException

Thrown if trying to get nested property via it's indexedName, using an index that is greater than the size of the Value array.

See Also
  Serialized Form

Constructor Summary
`ValueOutOfBoundsException(String message)`
`ValueOutOfBoundsException(String message, Throwable cause)`
`ValueOutOfBoundsException(String message, Throwable cause, boolean log)`
`ValueOutOfBoundsException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueOutOfBoundsException

    public ValueOutOfBoundsException(String message)

### ValueOutOfBoundsException

    public ValueOutOfBoundsException(String message,
                                     Throwable cause)

### ValueOutOfBoundsException

    public ValueOutOfBoundsException(Throwable cause)

### ValueOutOfBoundsException

    public ValueOutOfBoundsException(String message,
                                     Throwable cause,
                                     boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.